<a href='https://github.com/angular/angular.js/edit/master/src/ngAnimate/animateChildrenDirective.js?message=docs(ngAnimateChildren)%3A%20describe%20your%20change...#L3' class='improve-docs btn btn-primary'><i class="glyphicon glyphicon-edit">&nbsp;</i>Improve this Doc</a>



<a href='https://github.com/angular/angular.js/tree/master/src/ngAnimate/animateChildrenDirective.js#L3' class='view-source pull-right btn btn-primary'>
  <i class="glyphicon glyphicon-zoom-in">&nbsp;</i>View Source
</a>


<header class="api-profile-header">
  <h1 class="api-profile-header-heading">ngAnimateChildren</h1>
  <ol class="api-profile-header-structure naked-list step-list">
    
    <li>
      - directive in module <a href="api/ngAnimate">ngAnimate</a>
    </li>
  </ol>
</header>



<div class="api-profile-description">
  <p>ngAnimateChildren allows you to specify that children of this element should animate even if any
of the children&#39;s parents are currently animating. By default, when an element has an active <code>enter</code>, <code>leave</code>, or <code>move</code>
(structural) animation, child elements that also have an active structural animation are not animated.</p>
<p>Note that even if <code>ngAnimteChildren</code> is set, no child animations will run when the parent element is removed from the DOM (<code>leave</code> animation).</p>

</div>




<div>
  

  
  <h2>Directive Info</h2>
  <ul>
    
    <li>This directive executes at priority level 0.</li>
    
  </ul>

  
  <h2 id="usage">Usage</h2>
  <div class="usage">
  
    <ul>
    
      <li>as element:
      (This directive can be used as custom element, but be aware of <a href="guide/ie">IE restrictions</a>).
      <pre><code>&lt;ng-animate-children&#10;  ng-animate-children=&quot;string&quot;&gt;&#10;...&#10;&lt;/ng-animate-children&gt;</code></pre>
      </li>
    <li>as attribute:
        <pre><code>&lt;ANY&#10;  ng-animate-children=&quot;string&quot;&gt;&#10;...&#10;&lt;/ANY&gt;</code></pre>
      </li>
    
  </div>
  
<section class="api-section">
  <h3>Arguments</h3>

<table class="variables-matrix input-arguments">
  <thead>
    <tr>
      <th>Param</th>
      <th>Type</th>
      <th>Details</th>
    </tr>
  </thead>
  <tbody>
    
    <tr>
      <td>
        ngAnimateChildren
        
        
      </td>
      <td>
        <a href="" class="label type-hint type-hint-string">string</a>
      </td>
      <td>
        <p>If the value is empty, <code>true</code> or <code>on</code>,
    then child animations are allowed. If the value is <code>false</code>, child animations are not allowed.</p>

        
      </td>
    </tr>
    
  </tbody>
</table>

</section>
  


  
  <h2 id="example">Example</h2><p>

<div>
  <plnkr-opener example-path="examples/example-ngAnimateChildren"></plnkr-opener>

  <div class="runnable-example"
      path="examples/example-ngAnimateChildren"
      module="ngAnimateChildren"
      name="ngAnimateChildren"
      deps="angular-animate.js"
      animations="true">

  
    <div class="runnable-example-file" 
      name="index.html"
      language="html"
      type="html">
      <pre><code>&lt;div ng-controller=&quot;mainController as main&quot;&gt;&#10;  &lt;label&gt;Show container? &lt;input type=&quot;checkbox&quot; ng-model=&quot;main.enterElement&quot; /&gt;&lt;/label&gt;&#10;  &lt;label&gt;Animate children? &lt;input type=&quot;checkbox&quot; ng-model=&quot;main.animateChildren&quot; /&gt;&lt;/label&gt;&#10;  &lt;hr&gt;&#10;  &lt;div ng-animate-children=&quot;{{main.animateChildren}}&quot;&gt;&#10;    &lt;div ng-if=&quot;main.enterElement&quot; class=&quot;container&quot;&gt;&#10;      List of items:&#10;      &lt;div ng-repeat=&quot;item in [0, 1, 2, 3]&quot; class=&quot;item&quot;&gt;Item {{item}}&lt;/div&gt;&#10;    &lt;/div&gt;&#10;  &lt;/div&gt;&#10;&lt;/div&gt;</code></pre>
    </div>
  
    <div class="runnable-example-file" 
      name="animations.css"
      language="css"
      type="css">
      <pre><code>.container.ng-enter,&#10;.container.ng-leave {&#10;  transition: all ease 1.5s;&#10;}&#10;&#10;.container.ng-enter,&#10;.container.ng-leave-active {&#10;  opacity: 0;&#10;}&#10;&#10;.container.ng-leave,&#10;.container.ng-enter-active {&#10;  opacity: 1;&#10;}&#10;&#10;.item {&#10;  background: firebrick;&#10;  color: #FFF;&#10;  margin-bottom: 10px;&#10;}&#10;&#10;.item.ng-enter,&#10;.item.ng-leave {&#10;  transition: transform 1.5s ease;&#10;}&#10;&#10;.item.ng-enter {&#10;  transform: translateX(50px);&#10;}&#10;&#10;.item.ng-enter-active {&#10;  transform: translateX(0);&#10;}</code></pre>
    </div>
  
    <div class="runnable-example-file" 
      name="script.js"
      language="js"
      type="js">
      <pre><code>angular.module(&#39;ngAnimateChildren&#39;, [&#39;ngAnimate&#39;])&#10;.controller(&#39;mainController&#39;, function() {&#10;  this.animateChildren = false;&#10;  this.enterElement = false;&#10;});</code></pre>
    </div>
  

    <iframe class="runnable-example-frame" src="examples/example-ngAnimateChildren/index.html" name="example-ngAnimateChildren"></iframe>
  </div>
</div>


</p>

</div>


